#include<iostream>
#include<iomanip>

using namespace std;

double niz[400002];
long long uzgajivaci[200001];
double porez[200001];

int main()
{
    int n;
    cin >> n;

    for (size_t i = 0; i < n; i++)
    {
        cin >> uzgajivaci[i] >> porez[i];
            
    }

    int d = 0;
    double zbirprocenata = 0;
    double najvecazarada = 0;
    double promenljiva = 0;

    for (size_t i = 0; i < n; i++)
    {
        double p = porez[i];
        for (size_t j = 0; j < n; j++)
        {
            if (p <= porez[j])
            {
                promenljiva = p / 100;
                niz[d] = uzgajivaci[j] * promenljiva;
                d++;
            }
        }
        

        zbirprocenata = 0;
        for (size_t k = 0; k < d; k++)
        {
            zbirprocenata = zbirprocenata + niz[k];
        }
        if (zbirprocenata>najvecazarada)
        {
            najvecazarada = zbirprocenata;
        }
        d = 0;
    }
    cout << setprecision(20) << najvecazarada << endl;
    return 0;
}